Subject: Re: shell-mode editing, movement, and command entry broken by prompt/output changes
From: Chong Yidong <[email-masked]>
To: "Daniel B." <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Sep 2009 18:10:26 -0400

> In shell mode, editing of command output and previous command lines into
> new command lines and submission of those new command lines are quite
> broken.
>
> This problem:
> - did not exist in Emacs 20.7.2,
> - first appeared somewhere in Emacs 21.x,
> - exists in Emacs 22.2.21 (NTEmacs and Debian Etch's emacs22 package,
>   version_22.2+2-5), and
> - exists in Emacs 22.3 (built from the source in
>   http://ftp.gnu.org/pub/gnu/emacs/emacs-22.3.tar.gz as of 2009-06-30).

I just checked, and it seems to be fixed in Emacs 23 (I do see the error
in 22.3).  I don't recall who fixed it, though.  Thanks for the bug
report.